CRAN Package Check Results for Package nauf

Last updated on 2018-05-23 09:47:20 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1.0 12.03 214.84 226.87 WARN
r-patched-linux-x86_64 1.1.0 10.98 188.31 199.29 WARN
r-release-linux-x86_64 1.1.0 10.48 186.71 197.19 WARN
r-release-windows-ix86+x86_64 1.1.0 31.00 269.00 300.00 WARN
r-release-osx-x86_64 1.1.0 WARN
r-oldrel-windows-ix86+x86_64 1.1.0 28.00 242.00 270.00 ERROR
r-oldrel-osx-x86_64 1.1.0 OK

Check Details

Version: 1.1.0
Check: examples
Result: WARN
    Found the following significant warnings:
    
     Warning: 'rBind' is deprecated.
    Deprecated functions may be defunct as soon as of the next release of
    R.
    See ?Deprecated.
Flavors: r-devel-linux-x86_64-debian-clang, r-patched-linux-x86_64, r-release-linux-x86_64, r-release-windows-ix86+x86_64, r-release-osx-x86_64

Version: 1.1.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Quitting from lines 49-50 (using-nauf.Rmd)
    Error: processing vignette ‘using-nauf.Rmd’ failed with diagnostics:
    Unable to extract deviance function from model fit
    Execution halted
Flavors: r-devel-linux-x86_64-debian-clang, r-patched-linux-x86_64, r-release-linux-x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 1.1.0
Check: DESCRIPTION meta-information
Result: NOTE
    Dependence on R version ‘3.3.3’ not with patchlevel 0
Flavors: r-patched-linux-x86_64, r-release-linux-x86_64

Version: 1.1.0
Check: re-building of vignette outputs
Result: WARN
    Error in re-building vignettes:
     ...
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) and/or pandoc-citeproc not available. Falling back to R Markdown v1.
    Quitting from lines 49-50 (using-nauf.Rmd)
    Error: processing vignette 'using-nauf.Rmd' failed with diagnostics:
    Unable to extract deviance function from model fit
    Execution halted
Flavor: r-release-osx-x86_64

Version: 1.1.0
Check: loading without being on the library search path
Result: WARN
    Loading required package: standardize
    Loading required package: lme4
    Loading required package: Matrix
    Loading required package: rstanarm
    Loading required package: Rcpp
    Error: package or namespace load failed for 'rstanarm' in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
     namespace 'Matrix' 1.2-12 is already loaded, but >= 1.2.13 is required
    Error: package 'rstanarm' could not be loaded
    Execution halted
    
    It looks like this package has a loading problem when not on .libPaths:
    see the messages for details.
Flavor: r-oldrel-windows-ix86+x86_64

Version: 1.1.0
Check: examples
Result: ERROR
    Running examples in 'nauf-Ex.R' failed
    The error occurred in:
    
    
    R version 3.4.4 (2018-03-15) -- "Someone to Lean On"
    Copyright (C) 2018 The R Foundation for Statistical Computing
    Platform: x86_64-w64-mingw32/x64 (64-bit)
    
    R is free software and comes with ABSOLUTELY NO WARRANTY.
    You are welcome to redistribute it under certain conditions.
    Type 'license()' or 'licence()' for distribution details.
    
     Natural language support but running in an English locale
    
    R is a collaborative project with many contributors.
    Type 'contributors()' for more information and
    'citation()' on how to cite R or R packages in publications.
    
    Type 'demo()' for some demos, 'help()' for on-line help, or
    'help.start()' for an HTML browser interface to help.
    Type 'q()' to quit R.
    
    > pkgname <- "nauf"
    > source(file.path(R.home("share"), "R", "examples-header.R"))
    > options(warn = 1)
    > options(pager = "console")
    > library('nauf')
    Loading required package: standardize
    Loading required package: lme4
    Loading required package: Matrix
    Loading required package: rstanarm
    Loading required package: Rcpp
    Error: package or namespace load failed for 'rstanarm' in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
     namespace 'Matrix' 1.2-12 is already loaded, but >= 1.2.13 is required
    Error: package 'rstanarm' could not be loaded
    Execution halted
Flavor: r-oldrel-windows-ix86+x86_64

Version: 1.1.0
Check: tests
Result: ERROR
     Running 'testthat.R' [5s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > library(testthat)
     > library(nauf)
     Loading required package: standardize
     Loading required package: lme4
     Loading required package: Matrix
     Loading required package: rstanarm
     Loading required package: Rcpp
     Error: package or namespace load failed for 'rstanarm' in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
     namespace 'Matrix' 1.2-12 is already loaded, but >= 1.2.13 is required
     Error: package 'rstanarm' could not be loaded
     Execution halted
Flavor: r-oldrel-windows-ix86+x86_64